
Foreman - Feature #3200

Add select boxes to Settings

10/04/2013 11:53 AM - Greg Sutcliffe

Status: Closed   

Priority: Low   

Assignee: Amir Fefer   

Category: Settings   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3272

  

Description

Some Settings involve selecting from a list of data from elsewhere in Foreman. For example the Default Hostgroup plugin requires

the user to select a Hostgroup to default to.

Currently these Settings are a text field, which allows the user to specify incorrect data. It would be better if a Setting could state a

dynamic list (say, Hostgroup.all) to allow the user to select from.

Related issues:

Related to Foreman - Feature #13721: Some settings should dispaly a drop down... Closed 02/15/2016

Related to Foreman - Bug #14960: alias_method_chain in settings helper breaks... Closed 05/09/2016

Related to Foreman - Bug #14963: Contents of select boxes in settings are sta... Closed 05/09/2016

Related to Discovery - Refactor #14964: Use collections settings API for taxo... Closed 05/09/2016

Related to Foreman - Bug #15284: Development env reload breaks setting collec... Rejected

Associated revisions

Revision ad603e40 - 05/06/2016 07:33 AM - Amir Fefer

Fixes #3200 - Add select boxes to settings

Fixes #3200 - Add select box to settings

Sometimes it necessary to choose a value from a collection of values,

instead of entering a raw value.

History

#1 - 02/29/2016 09:18 AM - Amir Fefer

- Assignee set to Amir Fefer

#2 - 02/29/2016 09:20 AM - Dominic Cleal

- Related to Feature #13721: Some settings should dispaly a drop down list where possiable.   added

#3 - 03/02/2016 10:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3272 added

#4 - 05/06/2016 08:02 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ad603e4023c5400c51674f1fa3635565f7b3b552.

#5 - 05/06/2016 09:52 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/ad603e4023c5400c51674f1fa3635565f7b3b552


- translation missing: en.field_release set to 136

#6 - 05/09/2016 03:46 AM - Ori Rabin

- Related to Bug #14960: alias_method_chain in settings helper breaks plugins added

#7 - 05/09/2016 05:37 AM - Dominic Cleal

- Related to Bug #14963: Contents of select boxes in settings are static, not showing latest objects added

#8 - 05/09/2016 05:48 AM - Lukas Zapletal

- Related to Refactor #14964: Use collections settings API for taxonomy added

#9 - 06/03/2016 09:37 AM - Dominic Cleal

- Related to Bug #15284: Development env reload breaks setting collection added
